commit 8e93c77a7e0a93ecd9e068689f21b7e662e7b3cd
Author: Tamar Christina <tamar.christina@arm.com>
Date:   Fri Jul 17 13:12:23 2020 +0100

    Testsuite: Make it easier to debug environment setting functions
    
    This adds verbose output to dg-set-compiler-env-var and dg-set-target-env-var
    so you can actually see what they're setting when you add -v -v.
    
    gcc/testsuite/ChangeLog:
    
            * lib/gcc-dg.exp (dg-set-compiler-env-var, dg-set-target-env-var): Add
            verbose output.
    
    (cherry picked from commit e410cbff5d5a408b7c64a0c426951afc2a24df93)

diff --git a/gcc/testsuite/lib/gcc-dg.exp b/gcc/testsuite/lib/gcc-dg.exp
index 3770f698c46..81014b9a09a 100644
--- a/gcc/testsuite/lib/gcc-dg.exp
+++ b/gcc/testsuite/lib/gcc-dg.exp
@@ -429,7 +429,10 @@ proc dg-set-target-env-var { args } {
 	error "dg-set-target-env-var: need two arguments"
 	return
     }
-    lappend set_target_env_var [list [lindex $args 1] [lindex $args 2]]
+    set var [lindex $args 1]
+    set value [lindex $args 2]
+    verbose "dg-set-target-env-var $var $value" 2
+    lappend set_target_env_var [list $var $value]
 }
 
 proc set-target-env-var { } {
@@ -470,6 +473,7 @@ proc dg-set-compiler-env-var { args } {
     }
     set var [lindex $args 1]
     set value [lindex $args 2]
+    verbose "dg-set-compiler-env-var $var $value" 2
     if [info exists ::env($var)] {
       lappend saved_compiler_env_var [list $var 1 $::env($var)]
     } else {

